<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xxfc.platform.activity.mapper.ActivityProductSpecsMapper" >
  <resultMap id="BaseResultMap" type="com.xxfc.platform.activity.entity.ActivityProductSpecs" >
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" property="id" jdbcType="BIGINT" />
    <result column="goods_id" property="goodsId" jdbcType="BIGINT" />
    <result column="code" property="code" jdbcType="VARCHAR" />
    <result column="specs_img" property="specsImg" jdbcType="VARCHAR" />
    <result column="specs_seq" property="specsSeq" jdbcType="INTEGER" />
    <result column="goods_price" property="goodsPrice" jdbcType="DECIMAL" />
    <result column="specs_cost_price" property="specsCostPrice" jdbcType="DECIMAL" />
    <result column="crt_user" property="crtUser" jdbcType="BIGINT" />
    <result column="crt_time" property="crtTime" jdbcType="INTEGER" />
    <result column="upd_user" property="updUser" jdbcType="BIGINT" />
    <result column="upd_time" property="updTime" jdbcType="INTEGER" />
    <result column="is_del" property="isDel" jdbcType="BIT" />
    <result column="sales" property="sales" jdbcType="INTEGER" />
    <result column="stock" property="stock" jdbcType="INTEGER" />
    <result column="active_id" property="activeId" jdbcType="INTEGER" />
    <result column="goods_specs" property="goodsSpecs" jdbcType="LONGVARCHAR" />
  </resultMap>
</mapper>